# NOTES
# - build instructions: http://www.percona.com/doc/percona-xtrabackup/2.2/installation/compiling_xtrabackup.html
# TODO
# - system zlib (seems unmodified)
# - BR deps (for libarchive, mysql builds)
Summary:	XtraBackup online backup for MySQL / InnoDB
Name:		xtrabackup
Version:	2.2.10
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	http://www.percona.com/downloads/XtraBackup/LATEST/source/tarball/percona-%{name}-%{version}.tar.gz
# Source0-md5:	81c70aeff37537331b3be0a0d408265a
URL:		http://www.percona.com/doc/percona-xtrabackup/
BuildRequires:	bash
BuildRequires:	cmake >= 2.6
BuildRequires:	libaio-devel
#BuildRequires:	libarchive-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel >= 4.2
#BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Percona XtraBackup is an open-source hot backup utility for
MySQL-based servers that doesn't lock your database during the backup.

It can back up data from InnoDB, XtraDB, and MyISAM tables on MySQL
5.1, 5.5 and 5.6 servers, as well as Percona Server with XtraDB.

Percona XtraBackup is a combination of the xtrabackup C program, and
the innobackupex Perl script. The xtrabackup program copies and
manipulates InnoDB and XtraDB data files, and the Perl script enables
enhanced functionality, such as interacting with a running MySQL
server and backing up MyISAM tables.

%prep
%setup -q -n percona-%{name}-%{version}

%build
install -d build
cd build
%cmake \
	-DBUILD_CONFIG=xtrabackup_release \
	-DCMAKE_C_FLAGS_RELEASE="%{rpmcflags} -DNDEBUG -fno-omit-frame-pointer -fno-strict-aliasing" \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags} -DNDEBUG -fno-omit-frame-pointer -fno-strict-aliasing" \
	-DENABLE_DTRACE=OFF \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# TODO: find fix in make or cmake rules
install -d $RPM_BUILD_ROOT%{_mandir}
b=$(readlink -f %{_builddir})
mv $RPM_BUILD_ROOT$b/percona-xtrabackup-%{version}/build/man/man1 $RPM_BUILD_ROOT%{_mandir}

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/xtrabackup-test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/innobackupex
%attr(755,root,root) %{_bindir}/xbcrypt
%attr(755,root,root) %{_bindir}/xbstream
%attr(755,root,root) %{_bindir}/xtrabackup
%{_mandir}/man1/innobackupex.1*
%{_mandir}/man1/xbcrypt.1*
%{_mandir}/man1/xbstream.1*
%{_mandir}/man1/xtrabackup.1*
%changelog
* Thu Apr 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtrabackup.git;a=log;h=master

* Thu Apr 02 2015 Elan Ruusamäe <glen@delfi.ee> e29b88d
- up to 2.2.10

* Tue Jan 20 2015 Elan Ruusamäe <glen@delfi.ee> 51282b4
- disable dtrace

* Tue Jan 20 2015 Elan Ruusamäe <glen@delfi.ee> 28b776e
- up to 2.2.8, but build still fails with missing probes_mysql.o

* Sun Jun 22 2014 Elan Ruusamäe <glen@delfi.ee> 84d945f
- up to 2.2.3, but gets linking error regarding probes

* Fri May 02 2014 Elan Ruusamäe <glen@delfi.ee> 9a449b6
- partial update to 2.1.8

* Sun Oct 28 2012 Elan Ruusamäe <glen@delfi.ee> 9463cff
- up to 2.0.3, build innodb 5.5 target

* Tue Jun 16 2009 Elan Ruusamäe <glen@pld-linux.org> 95b1d75
- md5 for bzr clone tarball

* Tue Jun 16 2009 Elan Ruusamäe <glen@pld-linux.org> 11b50b4
- up to 0.7, includes bugfix for lp#388029

* Thu Mar 26 2009 Elan Ruusamäe <glen@pld-linux.org> f64cba0
- up to 0.3
- build using http://www.percona.com/mysql/xtrabackup/0.3/xtrabackup-0.3.tar.gz

* Fri Feb 27 2009 Elan Ruusamäe <glen@pld-linux.org> c01054b
- new, no code released yet

